Home

Add 'RGB Curves Node causes Segmentation fault
Closed, ResolvedPublic

Description
Hi

on blender-2.63-r50311-linux-glibc27-x86_64
using default scene, factory setting, switch to node editor (compositing), add a RGB Curves node and Blender crashes with:

CLERROR[-11]: CL_BUILD_PROGRAM_FAILURE
Segmentation fault

This problem doesn't seem to happen with blender-2.63a-linux-glibc27-x86_64

using Debian wheezy 64bit

renderer: 'GeForce GTX 560/PCIe/SSE2'
vendor: 'NVIDIA Corporation'
version: '4.2.0 NVIDIA 302.17'


sys-info attached
brecht (Brecht Van Lommel) added a comment.Via Old WorldSep 3 2012, 3:01 PM
I couldn't redo the crash on Ubuntu with a GTX 460 or on a Mac. There's an OpenCL error so it might be related to that, I've now made it only initialize OpenCL if the option is actually enabled (in revision 50349). Could you test if that avoids the crash?

If it doesn't help, some more info could help. Does it crash immediately when you add the node, or after you link it up to other nodes? Could you attach a backtrace, doing this in the terminal?

gdb ./blender
type "run"
make blender crash
type "bt full"
nafergo (nelson gonçalves) added a comment.Via Old WorldSep 3 2012, 5:20 PM
It helps.
With blender-2.63-r50355-linux-glibc27-x86_64 no longer crashes.

- it was crashing immediately when I added the node
- with blender-2.63-r50355-linux-glibc27-x86_64 it crashes only if I activate OpenCL box on Compositor properties panel.
- should I still do the debugging backtrace?
yes, if its crashing - still report backtrace.
nafergo (nelson gonçalves) added a comment.Via Old WorldSep 4 2012, 12:48 AM
With blender-2.63-r50355-linux-glibc27-x86_64

1. loaded factory settings, switched to node editor (compositing), activated OpenCL box on Compositor properties panel
2. when I add RGB Curves node Blender freezes with Compositing running (attached screenshot)
3. killed Blender process and did br full (attached file)

- if I don't activate OpenCL box on Compositor properties panel everything runs fine.
nafergo (nelson gonçalves) added a comment.Via Old WorldSep 4 2012, 2:48 PM
1. loaded factory settings, switched to node editor (compositing), activated OpenCL box on Compositor properties panel
2. when I add RGB Curves node Blender freezes with Compositing running (http://www.pasteall.org/pic/37330)
- bt here: http://www.pasteall.org/34932/text

Actually, it freezes if using gdb ./blender
If I just use ./blender it crashes.

- if I don't activate OpenCL box on Compositor properties panel everything runs fine.
brecht (Brecht Van Lommel) added a comment.Via Old WorldSep 11 2012, 5:32 PM
Thanks for backtrace. Seems it crashes somewhere in the CUDA/OpenCL driver, and that it's not so much adding the node that triggers this, but OpenCL initialization in general.

Maybe Jeroen has an idea what is causing the crash here.
jbakker (Jeroen Bakker) added a comment.Via Old WorldSep 11 2012, 6:28 PM
A fault happens during the compilation of the kernels. In the next getProgramInfo it raises a segmentation fault. Have you tried it with earlier NVidia drivers?
I use myself version 295.
nafergo (nelson gonçalves) added a comment.Via Old WorldSep 11 2012, 7:00 PM
I'm using 302.17 and haven't tried r50355 with earlier driver versions. I recently updated to this driver and it was before the crash...
On the other hand, before the driver update I was using blender-2.63a-linux-glibc27-x86_64 and I have no problem with that version.
Will try to downgrade nvidia drivers and report after.
dingto (Thomas Dinges) added a comment.Via Old WorldSep 18 2012, 6:10 PM
Any updates here? Please try our official RC1 release: http://download.blender.org/release/Blender2.64/
jbakker (Jeroen Bakker) added a comment.Via Old WorldSep 19 2012, 5:42 PM
@nelson: the opencl part of the compositor is only available in trunk (will be released in 2..64). this is the reason why you have no problem with 2.63a. it is part of the new compositor system.
nafergo (nelson gonçalves) added a comment.Via Old WorldSep 24 2012, 6:46 PM
Upgraded nvidia driver

renderer: 'GeForce GTX 560/PCIe/SSE2'
vendor: 'NVIDIA Corporation'
version: '4.2.0 NVIDIA 304.48'

running r50818-linux-glibc27-x86_64 no problem to report :) I can activate Opn
Loaded factory settings, switched to node editor (compositing), activated OpenCL box on Compositor properties panel, added RGB Curves and everything went fine. seems it's fixed :)
brecht (Brecht Van Lommel) added a comment.Via Old WorldSep 24 2012, 6:59 PM
Great! I think there was probably a bug in one particular driver version.
brecht (Brecht Van Lommel) closed this task as "Resolved".Via Old WorldSep 24 2012, 6:59 PM

Add Comment